struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karr, David" <david.k...@wamu.net>
Subject RE: struts 1.3.8 / el tag install/configure?
Date Mon, 17 Sep 2007 21:18:59 GMT
> -----Original Message-----
> From: Antonio Petrelli [mailto:antonio.petrelli@gmail.com] 
> Sent: Monday, September 17, 2007 12:00 AM
> To: Struts Users Mailing List
> Subject: Re: struts 1.3.8 / el tag install/configure?
> 
> 2007/9/14, john lee <sh_thorn_bird@yahoo.com>:
> > if i want to use el tag for struts 1.3.8, need to do extra 
> configuration or is default already?
> 
> It depends.
> If you are in a container supporting JSP 2.0, you don't need 
> to use -el tags, simply because it is already built-in in the 
> container.

Just so it's clear, change "don't need to" to "should not".  You may get
confusing results if you use struts-el in a JSP 2.0 container.

> If it is not your case, you need to use the corresponding -el 
> tags, therefore you need to change all the <%@taglib ...%> 
> directives to load the correct tag libraries.

And please use the standard struts prefixes for these.  For instance,
use "html" instead of "html-el".  Using the standard prefixes will make
conversion easier when you move to a JSP 2.0 container.  You'll just
have to change the taglib directive, and not all of your tag references.

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message